<?php
/**
 * 2007-2018 PrestaShop.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Open Software License (OSL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/OSL-3.0
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to http://www.prestashop.com for more information.
 *
 * @author    PrestaShop SA <contact@prestashop.com>
 * @copyright 2007-2018 PrestaShop SA
 * @license   https://opensource.org/licenses/OSL-3.0 Open Software License (OSL 3.0)
 * International Registered Trademark & Property of PrestaShop SA
 */

namespace PrestaShop\PrestaShop\Core\Validation;

use PrestaShop\PrestaShop\Adapter\Validate;

/**
 * Class Validator is responsible for validating data.
 */
final class Validator implements ValidatorInterface
{
    /**
     * @var Validate
     */
    private $validate;

    /**
     * @param Validate $validate
     */
    public function __construct(Validate $validate)
    {
        $this->validate = $validate;
    }

    /**
     * {@inheritdoc}
     */
    public function isCleanHtml($html, array $options = [])
    {
        $defaultOptions = [
            'allow_iframe' => false,
        ];
        $options = array_merge($defaultOptions, $options);

        return $this->validate->isCleanHtml($html, $options['allow_iframe']);
    }

    /**
     * {@inheritdoc}
     */
    public function isModuleName($name)
    {
        return $this->validate->isModuleName($name);
    }
}
